com.smartgwt.client.types

## Enum EnterKeyEditAction

- java.lang.Object
- - java.lang.Enum<EnterKeyEditAction>
  - - com.smartgwt.client.types.EnterKeyEditAction

- All Implemented Interfaces:
    ValueEnum, java.io.Serializable, java.lang.Comparable<EnterKeyEditAction>

      public enum EnterKeyEditAction
      extends java.lang.Enum<EnterKeyEditAction>
      implements ValueEnum

  What to do when a user hits enter while editing a cell

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DONE` end editing (will save edit values if `autoSaveEdits` is true).
    `NEXTCELL` edit the next editable cell in the record
    `NEXTROW` edit the same field in the next editable record
    `NEXTROWSTART` edit the first editable cell in next editable record

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()`
    `static EnterKeyEditAction` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static EnterKeyEditAction[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DONE

          public static final EnterKeyEditAction DONE

      end editing (will save edit values if `autoSaveEdits` is true).

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "done".

    - #### NEXTCELL

          public static final EnterKeyEditAction NEXTCELL

      edit the next editable cell in the record

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "nextCell".

    - #### NEXTROW

          public static final EnterKeyEditAction NEXTROW

      edit the same field in the next editable record

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "nextRow".

    - #### NEXTROWSTART

          public static final EnterKeyEditAction NEXTROWSTART

      edit the first editable cell in next editable record

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "nextRowStart".

  - ### Method Detail

    - #### values

          public static EnterKeyEditAction[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EnterKeyEditAction c : EnterKeyEditAction.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EnterKeyEditAction valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

      Specified by:
        `getValue` in interface `ValueEnum`